<!ENTITY WM_NULL "0">
<!ENTITY WM_CREATE "1">
<!ENTITY WM_DESTROY "2">
<!ENTITY WM_MOVE "3">
<!ENTITY WM_SIZE "5">
<!ENTITY WM_ACTIVATE "6">
<!ENTITY WM_SETFOCUS "7">
<!ENTITY WM_KILLFOCUS "8">
<!ENTITY WM_ENABLE "10">
<!ENTITY WM_SETREDRAW "11">
<!ENTITY WM_SETTEXT "12">
<!ENTITY WM_GETTEXT "13">
<!ENTITY WM_GETTEXTLENGTH "14">
<!ENTITY WM_PAINT "15">
<!ENTITY WM_CLOSE "16">
<!ENTITY WM_QUERYENDSESSION "17">
<!ENTITY WM_QUIT "18">
<!ENTITY WM_QUERYOPEN "19">
<!ENTITY WM_ERASEBKGND "20">
<!ENTITY WM_SYSCOLORCHANGE "21">
<!ENTITY WM_ENDSESSION "22">
<!ENTITY WM_SHOWWINDOW "24">
<!ENTITY WM_CTLCOLOR "25">
<!ENTITY WM_WININICHANGE "26">
<!ENTITY WM_DEVMODECHANGE "27">
<!ENTITY WM_ACTIVATEAPP "28">
<!ENTITY WM_FONTCHANGE "29">
<!ENTITY WM_TIMECHANGE "30">
<!ENTITY WM_CANCELMODE "31">
<!ENTITY WM_SETCURSOR "32">
<!ENTITY WM_MOUSEACTIVATE "33">
<!ENTITY WM_CHILDACTIVATE "34">
<!ENTITY WM_QUEUESYNC "35">
<!ENTITY WM_GETMINMAXINFO "36">
<!ENTITY WM_PAINTICON "38">
<!ENTITY WM_ICONERASEBKGND "39">
<!ENTITY WM_NEXTDLGCTL "40">
<!ENTITY WM_SPOOLERSTATUS "42">
<!ENTITY WM_DRAWITEM "43">
<!ENTITY WM_MEASUREITEM "44">
<!ENTITY WM_DELETEITEM "45">
<!ENTITY WM_VKEYTOITEM "46">
<!ENTITY WM_CHARTOITEM "47">
<!ENTITY WM_SETFONT "48">
<!ENTITY WM_GETFONT "49">
<!ENTITY WM_SETHOTKEY "50">
<!ENTITY WM_GETHOTKEY "51">
<!ENTITY WM_QUERYDRAGICON "55">
<!ENTITY WM_COMPAREITEM "57">
<!ENTITY WM_GETOBJECT "61">
<!ENTITY WM_COMPACTING "65">
<!ENTITY WM_COMMNOTIFY "68">
<!ENTITY WM_WINDOWPOSCHANGING "70">
<!ENTITY WM_WINDOWPOSCHANGED "71">
<!ENTITY WM_POWER "72">
<!ENTITY WM_COPYDATA "74">
<!ENTITY WM_CANCELJOURNAL "75">
<!ENTITY WM_NOTIFY "78">
<!ENTITY WM_INPUTLANGCHANGEREQUEST "80">
<!ENTITY WM_INPUTLANGCHANGE "81">
<!ENTITY WM_TCARD "82">
<!ENTITY WM_HELP "83">
<!ENTITY WM_USERCHANGED "84">
<!ENTITY WM_NOTIFYFORMAT "85">
<!ENTITY WM_CONTEXTMENU "123">
<!ENTITY WM_STYLECHANGING "124">
<!ENTITY WM_STYLECHANGED "125">
<!ENTITY WM_DISPLAYCHANGE "126">
<!ENTITY WM_GETICON "127">
<!ENTITY WM_SETICON "128">
<!ENTITY WM_NCCREATE "129">
<!ENTITY WM_NCDESTROY "130">
<!ENTITY WM_NCCALCSIZE "131">
<!ENTITY WM_NCHITTEST "132">
<!ENTITY WM_NCPAINT "133">
<!ENTITY WM_NCACTIVATE "134">
<!ENTITY WM_GETDLGCODE "135">
<!ENTITY WM_SYNCPAINT "136">
<!ENTITY WM_NCMOUSEMOVE "160">
<!ENTITY WM_NCLBUTTONDOWN "161">
<!ENTITY WM_NCLBUTTONUP "162">
<!ENTITY WM_NCLBUTTONDBLCLK "163">
<!ENTITY WM_NCRBUTTONDOWN "164">
<!ENTITY WM_NCRBUTTONUP "165">
<!ENTITY WM_NCRBUTTONDBLCLK "166">
<!ENTITY WM_NCMBUTTONDOWN "167">
<!ENTITY WM_NCMBUTTONUP "168">
<!ENTITY WM_NCMBUTTONDBLCLK "169">
<!ENTITY WM_NCXBUTTONDOWN "171">
<!ENTITY WM_NCXBUTTONUP "172">
<!ENTITY WM_NCXBUTTONDBLCLK "173">
<!ENTITY SBM_SETPOS "224">
<!ENTITY BM_CLICK "245">
<!ENTITY WM_INPUT "255">
<!ENTITY WM_KEYDOWN "256">
<!ENTITY WM_KEYFIRST "256">
<!ENTITY WM_KEYUP "257">
<!ENTITY WM_CHAR "258">
<!ENTITY WM_DEADCHAR "259">
<!ENTITY WM_SYSKEYDOWN "260">
<!ENTITY WM_SYSKEYUP "261">
<!ENTITY WM_SYSCHAR "262">
<!ENTITY WM_SYSDEADCHAR "263">
<!ENTITY WM_KEYLAST "264">
<!ENTITY WM_WNT_CONVERTREQUESTEX "265">
<!ENTITY WM_CONVERTREQUEST "266">
<!ENTITY WM_CONVERTRESULT "267">
<!ENTITY WM_INTERIM "268">
<!ENTITY WM_IME_STARTCOMPOSITION "269">
<!ENTITY WM_IME_ENDCOMPOSITION "270">
<!ENTITY WM_IME_COMPOSITION "271">
<!ENTITY WM_IME_KEYLAST "271">
<!ENTITY WM_INITDIALOG "272">
<!ENTITY WM_COMMAND "273">
<!ENTITY WM_SYSCOMMAND "274">
<!ENTITY WM_TIMER "275">
<!ENTITY WM_HSCROLL "276">
<!ENTITY WM_VSCROLL "277">
<!ENTITY WM_INITMENU "278">
<!ENTITY WM_INITMENUPOPUP "279">
<!ENTITY WM_MENUSELECT "287">
<!ENTITY WM_MENUCHAR "288">
<!ENTITY WM_ENTERIDLE "289">
<!ENTITY WM_MENURBUTTONUP "290">
<!ENTITY WM_MENUDRAG "291">
<!ENTITY WM_MENUGETOBJECT "292">
<!ENTITY WM_UNINTMENUPOPUP "293">
<!ENTITY WM_MENUCOMMAND "294">
<!ENTITY WM_CHANGEUISTATE "295">
<!ENTITY WM_UPDATEUISTATE "296">
<!ENTITY WM_QUERYUISTATE "297">
<!ENTITY WM_CTLCOLORMSGBOX "306">
<!ENTITY WM_CTLCOLOREDIT "307">
<!ENTITY WM_CTLCOLORLISTBOX "308">
<!ENTITY WM_CTLCOLORBTN "309">
<!ENTITY WM_CTLCOLORDLG "310">
<!ENTITY WM_CTLCOLORSCROLLBAR "311">
<!ENTITY WM_CTLCOLORSTATIC "312">
<!ENTITY CB_SHOWDROPDOWN "335">
<!ENTITY LB_SETCURSEL "390">
<!ENTITY WM_MOUSEFIRST "512">
<!ENTITY WM_MOUSEMOVE "512">
<!ENTITY WM_LBUTTONDOWN "513">
<!ENTITY WM_LBUTTONUP "514">
<!ENTITY WM_LBUTTONDBLCLK "515">
<!ENTITY WM_RBUTTONDOWN "516">
<!ENTITY WM_RBUTTONUP "517">
<!ENTITY WM_RBUTTONDBLCLK "518">
<!ENTITY WM_MBUTTONDOWN "519">
<!ENTITY WM_MBUTTONUP "520">
<!ENTITY WM_MBUTTONDBLCLK "521">
<!ENTITY WM_MOUSELAST "521">
<!ENTITY WM_MOUSEWHEEL "522">
<!ENTITY WM_XBUTTONDOWN "523">
<!ENTITY WM_XBUTTONUP "524">
<!ENTITY WM_XBUTTONDBLCLK "525">
<!ENTITY WM_USER "1024">
<!ENTITY CB_SETCURSEL "334">
<!ENTITY TBM_SETPOS "1029">
<!ENTITY TCM_SETCURSEL "4876">